## plasma-mobile 2.0+git2012021101

=== applications/CMakeLists.txt ===
add_subdirectory(about)
add_subdirectory(imageviewer)
add_subdirectory(settings)
#add_subdirectory(videoplayer) # Disabled for now
add_subdirectory(webbrowser)

=== shell/CMakeLists.txt ===
include_directories(${KDEBASE_WORKSPACE_SOURCE_DIR}/libs 
                    ${KDEBASE_WORKSPACE_SOURCE_DIR}/libs/kworkspace)

include(KDE4Defaults)


set(plasma-device_SRCS
    activity.cpp
    busywidget.cpp
    main.cpp
    mobcorona.cpp
    mobview.cpp
    plasmaapp.cpp
    mobdialogmanager.cpp
    mobpluginloader.cpp
    panelproxy.cpp
    panelshadows.cpp

    ../components/runnermodel/runnermodel.cpp
    mobileactivitythumbnails/mobileactivitythumbnails.cpp
    mobileactivitythumbnails/imagescaler.cpp

    activityconfiguration/activityconfiguration.cpp
    activityconfiguration/backgroundlistmodel.cpp

    widgetsexplorer/mobilewidgetsexplorer.cpp
    widgetsexplorer/kcategorizeditemsviewmodels.cpp
    widgetsexplorer/plasmaappletitemmodel.cpp
)

#set(ksmserver_xml ${KDEBASE_WORKSPACE_SOURCE_DIR}/ksmserver/org.kde.KSMServerInterface.xml)
set(ksmserver_xml ${KDE4_DBUS_INTERFACES_DIR}/org.kde.KSMServerInterface.xml)
qt4_add_dbus_interface(plasma-device_SRCS ${ksmserver_xml} ksmserver_interface)


kde4_add_kdeinit_executable(plasma-device ${plasma-device_SRCS})

target_link_libraries(kdeinit_plasma-device
        ${KDE4_PLASMA_LIBS}
        ${KDE4_KDEUI_LIBS}
        ${QT_QTDECLARATIVE_LIBRARY}
        ${KDE4_KIO_LIBS}
        ${NEPOMUK_LIBRARIES}
        ${X11_LIBRARIES}
        ${QT_QTOPENGL_LIBRARY}
        ${KACTIVITIES_LIBRARY}
)

if(X11_Xrender_FOUND)
   target_link_libraries(kdeinit_plasma-device ${X11_Xrender_LIB})
endif(X11_Xrender_FOUND)

install(TARGETS kdeinit_plasma-device DESTINATION ${LIB_INSTALL_DIR})
install(TARGETS plasma-device ${INSTALL_TARGETS_DEFAULT_ARGS} )

#install(FILES plasma-device.desktop DESTINATION ${AUTOSTART_INSTALL_DIR})

install(DIRECTORY widgetsexplorer/package/ DESTINATION ${DATA_INSTALL_DIR}/plasma/packages/org.kde.active.widgetexplorer PATTERN .svn EXCLUDE PATTERN Messages.sh EXCLUDE)
install(DIRECTORY activityconfiguration/package/ DESTINATION ${DATA_INSTALL_DIR}/plasma/packages/org.kde.active.activityconfiguration PATTERN .svn EXCLUDE PATTERN Messages.sh EXCLUDE)

add_subdirectory(firstrun)

=== applications/settings/modules/CMakeLists.txt ===
# Install the packages, also make it known to the system

add_subdirectory(time)

# Web
install(DIRECTORY web/ DESTINATION ${DATA_INSTALL_DIR}/plasma/packages/org.kde.active.settings.web)
install(FILES web/metadata.desktop DESTINATION ${SERVICES_INSTALL_DIR} RENAME plasma-package-org.kde.active.settings.web.desktop)


# ConfigTest
#install(DIRECTORY configtest/ DESTINATION ${DATA_INSTALL_DIR}/plasma/packages/org.kde.active.settings.configtest)
#install(FILES configtest/metadata.desktop DESTINATION ${SERVICES_INSTALL_DIR} RENAME plasma-package-org.kde.active.settings.configtest.desktop)

=== applications/settings/src/CMakeLists.txt ===

set(active-settings_SRCS
    main.cpp
    activesettings.cpp
    activesettingswindow.cpp
    view.cpp
    settingsmodulesitem.cpp
    settingsmodulesmodel.cpp
    settingsmodule.cpp
    settingsmoduleloader.cpp
    configmodel.cpp
)

KDE4_ADD_EXECUTABLE(active-settings ${active-settings_SRCS})

target_link_libraries(active-settings
    ${QT_QTDECLARATIVE_LIBRARY}
    ${KDE4_PLASMA_LIBS}
    kdeclarative
)

install( TARGETS active-settings ${INSTALL_TARGETS_DEFAULT_ARGS} )

=== applications/webbrowser/src/CMakeLists.txt ===
add_definitions(-DDISABLE_NEPOMUK_LEGACY=1)


find_package(Nepomuk REQUIRED)

find_package(Soprano)
  macro_log_feature(Soprano_FOUND "Soprano" "Semantic Desktop Storing" "http://soprano.sourceforge.net"
  TRUE "${SOPRANO_MIN_VERSION}" "Soprano is needed for Nepomuk")

include(SopranoAddOntology)

include_directories(
    ${CMAKE_BINARY_DIR}/dataengines/metadata/ontologies
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}/ontologies
    ${CMAKE_CURRENT_SOURCE_DIR}/adblock
   )

add_subdirectory(ontologies)

set(active-webbrowser_SRCS
    main.cpp
    activewebbrowser.cpp
    activebrowserwindow.cpp
    kdeclarativewebview.cpp
    completionitem.cpp
    completionmodel.cpp
    history.cpp
    view.cpp

    networkaccessmanager.cpp
    adblock/adblockhostmatcher.cpp
    adblock/adblockmanager.cpp
    adblock/adblocknetworkreply.cpp
    adblock/adblockrule.cpp
    adblock/adblockrulefallbackimpl.cpp
    adblock/adblockrulenullimpl.cpp
    adblock/adblockruletextmatchimpl.cpp
    #adblock/adblockwidget.cpp
)

#KDE4_ADD_UI_FILES( active-webbrowser_SRCS
#    adblock/settings_adblock.ui
#)

KDE4_ADD_EXECUTABLE(active-webbrowser ${active-webbrowser_SRCS})

target_link_libraries(active-webbrowser
    ${QT_QTWEBKIT_LIBRARY}
    ${QT_QTDECLARATIVE_LIBRARY}
    ${QT_QTOPENGL_LIBRARY}
    ${KDE4_KDEUI_LIBS}
    ${KDE4_KIO_LIBS}
    ${KDE4_PLASMA_LIBS}
    ${KDE4_KDEWEBKIT_LIBRARY}
    ${NEPOMUK_LIBRARIES}
    ${NEPOMUK_QUERY_LIBRARIES}
    ${KACTIVITIES_LIBRARY}
    kdeclarative
    ontologies
)

install(FILES infopage.html DESTINATION ${DATA_INSTALL_DIR}/active-webbrowser )

install( TARGETS active-webbrowser ${INSTALL_TARGETS_DEFAULT_ARGS} )

=== artwork/desktoptheme/air-mobile/CMakeLists.txt ===

install(FILES colors metadata.desktop DESTINATION ${DATA_INSTALL_DIR}/desktoptheme/air-mobile/)

FILE(GLOB widgets widgets/*.svgz)
install( FILES ${widgets} DESTINATION ${DATA_INSTALL_DIR}/desktoptheme/air-mobile/widgets/ )
FILE(GLOB dialogs dialogs/*.svgz)
install( FILES ${dialogs} DESTINATION ${DATA_INSTALL_DIR}/desktoptheme/air-mobile/dialogs/ )
FILE(GLOB icons icons/*.svgz)
install( FILES ${icons} DESTINATION ${DATA_INSTALL_DIR}/desktoptheme/air-mobile/icons/ )
FILE(GLOB toolbar-icons toolbar-icons/*.svgz)
install( FILES ${toolbar-icons} DESTINATION ${DATA_INSTALL_DIR}/desktoptheme/air-mobile/toolbar-icons/ )
FILE(GLOB appbackgrounds appbackgrounds/*.png)
install( FILES ${appbackgrounds} DESTINATION ${DATA_INSTALL_DIR}/desktoptheme/air-mobile/appbackgrounds/ )

install(DIRECTORY wallpapers/Universe DESTINATION ${DATA_INSTALL_DIR}/desktoptheme/air-mobile/wallpapers/ PATTERN .svn EXCLUDE)

#TODO: make possible to load other wallpapers fro the theme package
install(DIRECTORY wallpapers/Fiber DESTINATION ${WALLPAPER_INSTALL_DIR} PATTERN .svn EXCLUDE)

## plasma-mobile 2.0+git2012071701

=== CMakeLists.txt ===
project(plasma-mobile)
cmake_minimum_required (VERSION 2.8)

set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules")

find_package(KDE4 REQUIRED)
find_package(KActivities 6.0.0 REQUIRED)

include(KDE4Defaults)

add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
add_definitions(-DDISABLE_NEPOMUK_LEGACY=1)

find_package(Nepomuk REQUIRED)
find_package(Soprano)

macro_log_feature(
   Soprano_FOUND "Soprano" "Semantic Desktop Storing" "http://soprano.sourceforge.net"
   TRUE "${SOPRANO_MIN_VERSION}" "Soprano is needed for Nepomuk"
   )

find_package(KDeclarative REQUIRED)

macro_log_feature(
    KDeclarative_FOUND "libkdeclarative" "KDE Declarative (QML) support from kdelibs" "http://www.kde.org"
    TRUE "" ""
    )

include(SopranoAddOntology)
add_definitions(-DDISABLE_NEPOMUK_LEGACY=1)

include_directories(
   ${CMAKE_SOURCE_DIR}
   ${CMAKE_BINARY_DIR}
   ${CMAKE_BINARY_DIR}/inputmethod
   ${KDE4_INCLUDES}
   ${KDECLARATIVE_INCLUDE_DIR}
   )

MACRO(installPackage dir component)
   SET(root ${ARGN})
   IF(NOT root)
        SET(root plasma/plasmoids)
     ENDIF(NOT root)
    install(DIRECTORY ${dir}/ DESTINATION ${DATA_INSTALL_DIR}/${root}/${component} PATTERN Messages.sh EXCLUDE)
    install(FILES ${dir}/metadata.desktop DESTINATION ${SERVICES_INSTALL_DIR} RENAME plasma-applet-${component}.desktop)
ENDMACRO(installPackage)

MACRO(add_kao_ontology var)
   soprano_add_ontology(
      ${var}
      ${KACTIVITIES_ONTOLOGIES_DIR}/kao.trig
      "KAO" "Nepomuk::Vocabulary" "trig"
   )
ENDMACRO(add_kao_ontology)

add_subdirectory(applets)
add_subdirectory(applications)
add_subdirectory(artwork)
add_subdirectory(components)
add_subdirectory(containments)
add_subdirectory(dataengines)
add_subdirectory(qmlpackages)
add_subdirectory(runners)
add_subdirectory(shell)
add_subdirectory(virtualkeyboard)
add_subdirectory(wallpapers)
add_subdirectory(widgetstrip-shell)

if (BUILD_HANDSET)
   add_subdirectory(handset)
endif (BUILD_HANDSET)

=== applets/CMakeLists.txt ===
installPackage(active-welcome org.kde.active.welcome)
installPackage(notifications org.kde.active.notifications)
installPackage(powerbutton org.kde.active.powerbutton)
installPackage(resourcelist org.kde.resourcelist)

add_subdirectory(locationchooser)

=== dataengines/CMakeLists.txt ===
add_subdirectory(apps)
add_subdirectory(devicecapabilities)
add_subdirectory(metadata)
add_subdirectory(preview)

=== shell/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-include_directories(${KDEBASE_WORKSPACE_SOURCE_DIR}/libs 
+include_directories(${KDEBASE_WORKSPACE_SOURCE_DIR}/libs
                     ${KDEBASE_WORKSPACE_SOURCE_DIR}/libs/kworkspace)
 
 include(KDE4Defaults)
@@ -16,7 +16,6 @@
     panelproxy.cpp
     panelshadows.cpp
 
-    ../components/runnermodel/runnermodel.cpp
     mobileactivitythumbnails/mobileactivitythumbnails.cpp
     mobileactivitythumbnails/imagescaler.cpp
 
@@ -27,6 +26,8 @@
     widgetsexplorer/kcategorizeditemsviewmodels.cpp
     widgetsexplorer/plasmaappletitemmodel.cpp
 )
+
+add_kao_ontology(plasma-device_SRCS)
 
 #set(ksmserver_xml ${KDEBASE_WORKSPACE_SOURCE_DIR}/ksmserver/org.kde.KSMServerInterface.xml)
 set(ksmserver_xml ${KDE4_DBUS_INTERFACES_DIR}/org.kde.KSMServerInterface.xml)
@@ -58,4 +59,3 @@
 install(DIRECTORY widgetsexplorer/package/ DESTINATION ${DATA_INSTALL_DIR}/plasma/packages/org.kde.active.widgetexplorer PATTERN .svn EXCLUDE PATTERN Messages.sh EXCLUDE)
 install(DIRECTORY activityconfiguration/package/ DESTINATION ${DATA_INSTALL_DIR}/plasma/packages/org.kde.active.activityconfiguration PATTERN .svn EXCLUDE PATTERN Messages.sh EXCLUDE)
 
-add_subdirectory(firstrun)

=== components/mobilecomponents/CMakeLists.txt ===
project(mobilecomponents)

include(KDE4Defaults)

set(mobilecomponents_SRCS
    appletcontainer.cpp
    mobilecomponentsplugin.cpp
    pagedproxymodel.cpp
    fallbackcomponent.cpp
    package.cpp
    texteffects.cpp
    )

INCLUDE_DIRECTORIES(
        ${CMAKE_SOURCE_DIR}
        ${CMAKE_BINARY_DIR}
        ${KDE4_INCLUDES}
)

qt4_automoc(${mobilecomponents_SRCS})


kde4_add_library(mobilecomponentsplugin SHARED ${mobilecomponents_SRCS})
target_link_libraries(mobilecomponentsplugin ${QT_QTCORE_LIBRARY} ${QT_QTDBUS_LIBRARY}  ${QT_QTGUI_LIBRARY} ${QT_QTSCRIPT_LIBRARY} ${QT_QTDECLARATIVE_LIBRARY} ${KDE4_KDECORE_LIBRARY} ${KDE4_PLASMA_LIBS} ${KACTIVITIES_LIBRARY})

install(TARGETS mobilecomponentsplugin DESTINATION ${IMPORTS_INSTALL_DIR}/org/kde/plasma/mobilecomponents)

install(FILES ActionButton.qml DESTINATION ${IMPORTS_INSTALL_DIR}/org/kde/plasma/mobilecomponents)
install(FILES Rating.qml DESTINATION ${IMPORTS_INSTALL_DIR}/org/kde/plasma/mobilecomponents)
install(FILES IconButton.qml DESTINATION ${IMPORTS_INSTALL_DIR}/org/kde/plasma/mobilecomponents)
install(FILES IconGrid.qml DESTINATION ${IMPORTS_INSTALL_DIR}/org/kde/plasma/mobilecomponents)
install(FILES ResourceDelegate.qml DESTINATION ${IMPORTS_INSTALL_DIR}/org/kde/plasma/mobilecomponents)
install(FILES Sheet.qml DESTINATION ${IMPORTS_INSTALL_DIR}/org/kde/plasma/mobilecomponents)
install(FILES ViewSearch.qml DESTINATION ${IMPORTS_INSTALL_DIR}/org/kde/plasma/mobilecomponents)

install(FILES qmldir DESTINATION ${IMPORTS_INSTALL_DIR}/org/kde/plasma/mobilecomponents)

install(DIRECTORY resourcedelegates/ DESTINATION ${DATA_INSTALL_DIR}/plasma/resourcedelegates/)

=== applications/settings/modules/CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,15 @@
 # Install the packages, also make it known to the system
 
 add_subdirectory(time)
+add_subdirectory(locale)
 
 # Web
 install(DIRECTORY web/ DESTINATION ${DATA_INSTALL_DIR}/plasma/packages/org.kde.active.settings.web)
 install(FILES web/metadata.desktop DESTINATION ${SERVICES_INSTALL_DIR} RENAME plasma-package-org.kde.active.settings.web.desktop)
 
+#Power
+install(DIRECTORY powermanagement/ DESTINATION ${DATA_INSTALL_DIR}/plasma/packages/org.kde.active.settings.powermanagement)
+install(FILES powermanagement/metadata.desktop DESTINATION ${SERVICES_INSTALL_DIR} RENAME plasma-package-org.kde.active.settings.powermanagement.desktop)
 
 # ConfigTest
 #install(DIRECTORY configtest/ DESTINATION ${DATA_INSTALL_DIR}/plasma/packages/org.kde.active.settings.configtest)

=== applications/settings/modules/locale/CMakeLists.txt ===
project( active_settings_locale )
find_package(KDE4 REQUIRED)
include(KDE4Defaults)
add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})

include_directories(${KDE4_INCLUDES} ../../../../components/settings)

set(localesettings_SRCS
    localesettingsplugin.cpp
    localesettings.cpp
    languagesmodel.cpp
)

kde4_add_plugin(active_settings_locale ${localesettings_SRCS})
target_link_libraries(active_settings_locale ${KDE4_PLASMA_LIBS} ${QT_QTDECLARATIVE_LIBRARY})
install(TARGETS active_settings_locale DESTINATION ${PLUGIN_INSTALL_DIR})

# Locale
install(DIRECTORY package/ DESTINATION ${DATA_INSTALL_DIR}/plasma/packages/org.kde.active.settings.locale)
install(FILES package/metadata.desktop DESTINATION ${SERVICES_INSTALL_DIR} RENAME plasma-package-org.kde.active.settings.locale.desktop)

=== applications/settings/modules/time/CMakeLists.txt ===
project( active_settings_time )
find_package(KDE4 REQUIRED)
include(KDE4Defaults)
add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})

include_directories(${KDE4_INCLUDES} ../../../../components/settings)

configure_file(config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h )

set(timesettings_SRCS
    timesettingsplugin.cpp
    timesettings.cpp
    timezone.cpp
    timezonesmodel.cpp
)


kde4_add_plugin(active_settings_time ${timesettings_SRCS})
target_link_libraries(active_settings_time ${KDE4_PLASMA_LIBS} ${QT_QTDECLARATIVE_LIBRARY})
install(TARGETS active_settings_time DESTINATION ${PLUGIN_INSTALL_DIR})

# Time and Date
install(DIRECTORY package/ DESTINATION ${DATA_INSTALL_DIR}/plasma/packages/org.kde.active.settings.time)
install(FILES package/metadata.desktop DESTINATION ${SERVICES_INSTALL_DIR} RENAME plasma-package-org.kde.active.settings.time.desktop)


########### helper ###############

kde4_add_executable(activedatetimehelper helper.cpp ${helper_mocs})
target_link_libraries(activedatetimehelper ${KDE4_KDECORE_LIBS})
install(TARGETS activedatetimehelper DESTINATION ${LIBEXEC_INSTALL_DIR})

kde4_install_auth_helper_files(activedatetimehelper org.kde.active.clockconfig root)

kde4_install_auth_actions(org.kde.active.clockconfig clockconfig_actions.actions)

=== debian/control ===
Source: plasma-mobile
Section: kde
Priority: extra
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Rodrigo Belem <rbelem@ubuntu.com>
Build-Depends: debhelper (>= 7.3.16~), quilt (>= 0.46-7~), cmake,
 pkg-kde-tools (>= 0.12), kdelibs5-dev (>= 4.8.80),
 libkactivities-dev, libqt4-opengl-dev, libqtwebkit-dev,
 kde-workspace-dev, libxrender-dev, shared-desktop-ontologies,
 libicu-dev
Standards-Version: 3.9.2
Homepage: http://www.kde.org/

Package: plasma-mobile
Architecture: all
Depends: plasma-active
Description: transitional package for plasma-active
 This is a transitional package to ease upgrades to the plasma-active package.
 It can safely be removed.

Package: plasma-active
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 plasma-active-data (= ${source:Version}),
 plasma-active-mobilecomponents (= ${binary:Version}),
 plasma-active-metadatamodels (= ${binary:Version}),
 share-like-connect,
 libqtwebkit-qmlwebkitplugin,
 plasma-widgets-addons (>= 4.7),
 plasma-widgets-workspace,
 startactive,
 startactive-ksplash-theme,
 libqtmultimediakit1,
 libdeclarative-multimedia,
 kde-artwork-active,
 startactive
Recommends: plasma-active-settings (= ${binary:Version}),
 plasma-widgets-active (= ${binary:Version}),
 plasma-active-webbrowser (= ${binary:Version})
Description: KDE Plasma Active workspace for mobile devices
 Provides a basic KDE plasma workspace for mobile environments, which supports
 a wide variety of mobile application types.
 Applications which integrate best in this environment follow standards used by
 the KDE Platform.
 .
 This package is part of the Plasma Active platform.

Package: plasma-active-mobilecomponents
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kde-runtime
Description: Qt Quick components for the Plasma Active workspace
 Qt Quick components to develop applications for the Plasma Active
 workspace.
 .
 This package is part of the Plasma Active platform.

Package: plasma-active-metadatamodels
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: plasma-active (<< 2.0+git20120717)
Breaks: plasma-active (<< 2.0+git20120717)
Description: Meta Data Plugin for Plasma
 A plugin for Plasma which allows for easy access
 to Nepomuk meta data.
 .
 This package is part of the Plasma Active platform.

Package: plasma-active-webbrowser
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqtwebkit-qmlwebkitplugin,
 plasma-active-mobilecomponents (= ${binary:Version}),
 libqt4-declarative-gestures
Description: web browser for the KDE Plasma Active workspace
 Provides a simple web browser optimized for the Plasma Active
 workspace.
 .
 This package is part of the Plasma Active platform.

Package: plasma-active-settings
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 plasma-active-mobilecomponents (= ${binary:Version})
Description: settings for the KDE Plasma Active workspace
 Provides a settings user interface optimized for the Plasma Active
 workspace.
 .
 This package is part of the Plasma Active platform.

Package: plasma-active-keyboardcontainer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: tech preview of the KDE plasma workspace for mobile devices
 Provides a simple virtual keyboard for the Plasma Active Workspace.
 .
 This package is part of the Plasma Active platform.

Package: plasma-widgets-active
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: plasma-active-data (<< 2.0+git20120717)
Breaks: plasma-active-data (<< 2.0+git20120717)
Description: plasma widgets and containments for the KDE Plasma Active
 This package contains standard Plasma widgets and containments shipped in the
 KDE Plasma Active workspace.
 .
 This package is part of the Plasma Active platform.

Package: plasma-active-data
Architecture: all
Depends: ${misc:Depends}
Replaces: plasma-active-imageviewer
Conflicts: plasma-active-imageviewer
Description: shared data files for the KDE Plasma Active workspace
 This package contains architecture-independent shared data files needed for the
 KDE Plasma Active installation.
 .
 This package is part of the Plasma Active platform.

## plasma-mobile 3.0

=== debian/control ===
Source: plasma-mobile
Section: kde
Priority: extra
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Rodrigo Belem <rbelem@ubuntu.com>
Build-Depends: cmake,
               debhelper (>= 7.3.16~),
               kde-workspace-dev,
               kdelibs5-dev (>= 4.8.80),
               kdepimlibs5-dev,
               libakonadi-dev,
               libicu-dev,
               libkactivities-dev,
               libqt4-opengl-dev,
               libqtwebkit-dev,
               libxrender-dev,
               pkg-kde-tools (>= 0.12),
               quilt (>= 0.46-7~),
               shared-desktop-ontologies
Standards-Version: 3.9.2
Homepage: http://www.kde.org/

Package: plasma-mobile
Architecture: all
Depends: plasma-active
Description: transitional package for plasma-active
 This is a transitional package to ease upgrades to the plasma-active package.
 It can safely be removed.

Package: plasma-active
Architecture: any
Depends: kde-artwork-active,
         libdeclarative-multimedia,
         libqtmultimediakit1,
         libqtwebkit-qmlwebkitplugin,
         plasma-active-data (= ${source:Version}),
         plasma-active-metadatamodels (= ${binary:Version}),
         plasma-active-mobilecomponents (= ${binary:Version}),
         plasma-widgets-addons (>= 4.7),
         plasma-widgets-workspace,
         share-like-connect,
         startactive,
         startactive-ksplash-theme,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: plasma-active-settings (= ${binary:Version}),
            plasma-active-webbrowser (= ${binary:Version}),
            plasma-widgets-active (= ${binary:Version})
Description: KDE Plasma Active workspace for mobile devices
 Provides a basic KDE plasma workspace for mobile environments, which supports
 a wide variety of mobile application types.
 Applications which integrate best in this environment follow standards used by
 the KDE Platform.
 .
 This package is part of the Plasma Active platform.

Package: plasma-active-mobilecomponents
Architecture: any
Depends: kde-runtime, ${misc:Depends}, ${shlibs:Depends}
Description: Qt Quick components for the Plasma Active workspace
 Qt Quick components to develop applications for the Plasma Active
 workspace.
 .
 This package is part of the Plasma Active platform.

Package: plasma-active-metadatamodels
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: plasma-active (<< 2.0+git20120717)
Breaks: plasma-active (<< 2.0+git20120717)
Description: Meta Data Plugin for Plasma
 A plugin for Plasma which allows for easy access
 to Nepomuk meta data.
 .
 This package is part of the Plasma Active platform.

Package: plasma-active-webbrowser
Architecture: any
Depends: libqt4-declarative-gestures,
         libqtwebkit-qmlwebkitplugin,
         plasma-active-mobilecomponents (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: web browser for the KDE Plasma Active workspace
 Provides a simple web browser optimized for the Plasma Active
 workspace.
 .
 This package is part of the Plasma Active platform.

Package: plasma-active-settings
Architecture: any
Depends: plasma-active-mobilecomponents (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: settings for the KDE Plasma Active workspace
 Provides a settings user interface optimized for the Plasma Active
 workspace.
 .
 This package is part of the Plasma Active platform.

Package: plasma-widgets-active
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: plasma-active-data (<< 2.0+git20120717)
Breaks: plasma-active-data (<< 2.0+git20120717)
Description: plasma widgets and containments for the KDE Plasma Active
 This package contains standard Plasma widgets and containments shipped in the
 KDE Plasma Active workspace.
 .
 This package is part of the Plasma Active platform.

Package: plasma-active-data
Architecture: all
Depends: ${misc:Depends}
Replaces: plasma-active-imageviewer
Conflicts: plasma-active-imageviewer
Description: shared data files for the KDE Plasma Active workspace
 This package contains architecture-independent shared data files needed for the
 KDE Plasma Active installation.
 .
 This package is part of the Plasma Active platform.

Package: plasma-active-dev
Architecture: any
Depends: plasma-active, ${misc:Depends}, ${shlibs:Depends}
Description: development files for Plasma Active
 This package contains development files for building applications ontop of
 Plasma Active platform.
 .
 This package is part of the Plasma Active platform.

## plasma-mobile 5.27.2

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2014-2020 Marco Martin <mart@kde.org>
# SPDX-FileCopyrightText: 2017-2021 Bhushan Shah <bshah@kde.org>
# SPDX-FileCopyrightText: 2019-2021 Nicolas Fella <nicolas.fella@kde.org>
# SPDX-FileCopyrightText: 2022 Devin Lin <devin@kde.org>
# SPDX-License-Identifier: GPL-2.0-or-later

cmake_minimum_required(VERSION 3.16)

project(plasma-mobile)
set(PROJECT_VERSION "5.27.2")
set(PROJECT_VERSION_MAJOR 5)

set(QT_MIN_VERSION "5.15.2")
set(KF5_MIN_VERSION "5.102.0")
set(KDE_COMPILERSETTINGS_LEVEL "5.82")

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

set(KF_IGNORE_PLATFORM_CHECK ON CACHE BOOL "Don't check platform that is being built on")

option(QUICK_COMPILER "Use QtQuick compiler to improve performance" TRUE)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMOptionalAddSubdirectory)
include(ECMInstallIcons)
include(ECMSetupVersion)
include(ECMMarkNonGuiExecutable)
include(ECMGenerateHeaders)
include(ECMQMLModules)
include(ECMGenerateQmlTypes)
include(ECMFindQmlModule)
include(GenerateExportHeader)
include(KDEGitCommitHooks)
include(KDEClangFormat)
include(FeatureSummary)

add_definitions(-DQT_NO_URL_CAST_FROM_STRING)

find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} CONFIG REQUIRED
    Core
    Qml
    Quick
)
if (QT_MAJOR_VERSION STREQUAL "5")
    if (QUICK_COMPILER)
        find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} CONFIG REQUIRED QuickCompiler)
    endif()
endif()

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    I18n
    KIO
    Plasma
    PlasmaQuick
    Service
    Notifications
    Wayland
    ModemManagerQt
    NetworkManagerQt
    KCMUtils
    Declarative
)
find_package(KF5KirigamiAddons 0.6 REQUIRED)

find_package(LibKWorkspace CONFIG REQUIRED)

find_package(KWinDBusInterface)
set_package_properties(KWinDBusInterface PROPERTIES DESCRIPTION "KWin DBus interface"
    TYPE REQUIRED
    PURPOSE "Needed for virtual keyboard toggle button"
)

include(CheckIncludeFiles)

ecm_find_qmlmodule(org.kde.pipewire 0.1)

plasma_install_package(look-and-feel org.kde.plasma.phone look-and-feel)
plasma_install_package(shell org.kde.plasma.phoneshell shells)

install(FILES plasma_phone_components.notifyrc DESTINATION ${KDE_INSTALL_KNOTIFYRCDIR})

add_subdirectory(bin)
add_subdirectory(containments)
add_subdirectory(components)
add_subdirectory(quicksettings)
add_subdirectory(kcms)

find_program(PlasmaOpenSettings plasma-open-settings)
set_package_properties(PlasmaOpenSettings PROPERTIES
                                          URL https://invent.kde.org/plasma/kde-cli-tools/
                                          DESCRIPTION "Opens KCMs properly"
                                          TYPE RUNTIME
                                          PURPOSE "Used on the top panel")

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

ki18n_install(po)

=== quicksettings/nightcolor/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Devin Lin <devin@kde.org>
# SPDX-License-Identifier: GPL-2.0-or-later

set_source_files_properties(${KWIN_COLORCORRECT_INTERFACE} PROPERTIES NO_NAMESPACE TRUE)
qt_add_dbus_interfaces(DBUS_SRCS ${KWIN_COLORCORRECT_INTERFACE})

set(nightcolorplugin_SRCS
    nightcolorplugin.cpp
    nightcolorutil.cpp
    enum.h
    ${DBUS_SRCS}
)

kconfig_add_kcfg_files(nightcolorplugin_SRCS nightcolorsettings.kcfgc GENERATE_MOC)

add_library(nightcolorplugin ${nightcolorplugin_SRCS})

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS 
    Config
    Declarative
)

target_link_libraries(nightcolorplugin
        PUBLIC
            Qt::Core
        PRIVATE
            Qt::DBus
            KF5::CoreAddons
            KF5::QuickAddons
            KF5::ConfigCore
            KF5::ConfigGui
    )

set_property(TARGET nightcolorplugin PROPERTY LIBRARY_OUTPUT_DIRECTORY ${CMAKE_RUNTIME_OUTPUT_DIRECTORY}/org/kde/plasma/quicksetting/nightcolor)
file(COPY qmldir DESTINATION ${CMAKE_RUNTIME_OUTPUT_DIRECTORY}/org/kde/plasma/quicksetting/nightcolor)

install(TARGETS nightcolorplugin DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/plasma/quicksetting/nightcolor)
install(FILES qmldir ${qml_SRC} DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/plasma/quicksetting/nightcolor)

plasma_install_package(package org.kde.plasma.quicksetting.nightcolor quicksettings)

=== debian/changelog ===
plasma-mobile (5.27.2-1) unstable; urgency=medium

  * New upstream release
  * Update d/copyright after upstream changes
  * Drop no more needed patch

 -- Marco Mattiolo <marco.mattiolo@hotmail.it>  Tue, 28 Feb 2023 19:37:29 +0100

plasma-mobile (5.27.0-1) unstable; urgency=medium

  * New upstream release
  * Update d/control after upstream CMakeLists.txt
  * Update d/copyright after upstream changes
  * Cherry-pick upstream commit for fixing crash on unlocking
  * Plasma-mobile-tweaks set as multi-arch:foreign
  * Lintian-override on library-not-linked-against-libc for s390x arch

 -- Marco Mattiolo <marco.mattiolo@hotmail.it>  Fri, 17 Feb 2023 12:44:20 +0100

plasma-mobile (5.26.90-2) unstable; urgency=medium

  * Source-only upload

 -- Arnaud Ferraris <aferraris@debian.org>  Sat, 04 Feb 2023 03:11:08 +0100

plasma-mobile (5.26.90-1) unstable; urgency=medium

  [ Marco Mattiolo ]
  * Initial release. Closes: #1023236

 -- Arnaud Ferraris <aferraris@debian.org>  Fri, 03 Feb 2023 12:59:56 +0100

=== debian/control ===
Source: plasma-mobile
Section: kde
Priority: optional
Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
Uploaders: Marco Mattiolo <marco.mattiolo@hotmail.it>,
           Arnaud Ferraris <aferraris@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.102.0~),
               kirigami-addons-dev (>= 0.6~),
               kwin-dev,
               libkf5declarative-dev (>= 5.102.0~),
               libkf5i18n-dev (>= 5.102.0~),
               libkf5kcmutils-dev (>= 5.26~),
               libkf5kio-dev (>= 5.102.0~),
               libkf5networkmanagerqt-dev (>= 5.102.0~),
               libkf5notifications-dev (>= 5.102.0~),
               libkf5plasma-dev (>= 5.102.0~),
               libkf5service-dev (>= 5.102.0~),
               libkf5wayland-dev (>= 4:5.102.0~),
               modemmanager-qt-dev (>= 5.102.0~),
               pkg-config,
               pkg-kde-tools,
               plasma-workspace-dev,
               qml-module-org-kde-pipewire (>= 5.26~),
               qtbase5-dev (>= 5.15.2~),
               qtdeclarative5-dev (>= 5.15.2~),
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/plasma/plasma-mobile
Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/plasma-mobile
Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/plasma-mobile.git
Rules-Requires-Root: no

Package: plasma-mobile
Architecture: any
Multi-Arch: foreign
Depends: bluedevil,
         breeze-icon-theme,
         fonts-mplus,
         fonts-oxygen,
         kpeople-vcard,
         maliit-keyboard,
         milou,
         pipewire,
         plasma-nano,
         plasma-nm,
         plasma-pa,
         plasma-settings,
         plasma-workspace,
         plasma-workspace-wayland,
         powerdevil,
         qml-module-org-kde-activities,
         qml-module-org-kde-bluezqt,
         qml-module-org-kde-kio,
         qml-module-org-kde-kirigami2,
         qml-module-org-kde-kirigami-addons-labs-mobileform,
         qml-module-org-kde-kquickcontrols,
         qml-module-org-kde-people,
         qml-module-org-kde-pipewire,
         qml-module-org-kde-qqc2breezestyle,
         qml-module-qtfeedback,
         qml-module-qtquick-localstorage,
         xdg-desktop-portal-kde,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: kde-config-mobile-networking,
            plasma-mobile-tweaks,
Description: Open-source user interface for phones, based on Plasma technologies
 Plasma Mobile is an open-source user interface and ecosystem targeted at
 mobile devices, built on the KDE Plasma stack.
 .
 A pragmatic approach is taken that is inclusive to software regardless of
 toolkit, giving users the power to choose whichever software they want to
 use on their device.
 .
 Plasma Mobile aims to contribute to and implement open standards, and is
 developed in a transparent process that is open for anyone to participate in.

Package: plasma-mobile-tweaks
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Components to improve the Plasma mobile UX on touch devices
 plasma-mobile-tweaks package contains recommended configurations for
 distributions shipping Plasma Mobile by default.
 .
 Some important changes include:
  - Setting the default look-and-feel package
  - Set the default keyboard to maliit-keyboard
  - Prevent some unneeded applications from showing in the app list

## plasma-mobile 5.27.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(plasma-mobile)
-set(PROJECT_VERSION "5.27.2")
+set(PROJECT_VERSION "5.27.6")
 set(PROJECT_VERSION_MAJOR 5)
 
 set(QT_MIN_VERSION "5.15.2")

## plasma-mobile 5.27.8

=== debian/changelog ===
plasma-mobile (5.27.8-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.8)

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Sep 2023 12:31:39 +0100

plasma-mobile (5.27.7-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.7)

 -- Rik Mills <rikmills@kde.org>  Tue, 01 Aug 2023 17:15:53 +0100

plasma-mobile (5.27.6-1ubuntu1) mantic; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer field.
    - Bump plasma build dep versions all to 5.27.6.

 -- Rik Mills <rikmills@kde.org>  Wed, 19 Jul 2023 22:09:13 +0100

plasma-mobile (5.27.6-1) unstable; urgency=medium

  * New upstream release
  * Update d/copyright after upstream changes

 -- Marco Mattiolo <marco.mattiolo@hotmail.it>  Sat, 15 Jul 2023 09:04:21 +0200

plasma-mobile (5.27.6-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.6)

 -- Rik Mills <rikmills@kde.org>  Tue, 20 Jun 2023 17:37:28 +0100

plasma-mobile (5.27.5-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.5)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 May 2023 15:16:59 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: plasma-mobile
 Section: kde
 Priority: optional
-Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
 Uploaders: Marco Mattiolo <marco.mattiolo@hotmail.it>,
            Arnaud Ferraris <aferraris@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.102.0~),
                kirigami-addons-dev (>= 0.6~),
-               kwin-dev,
+               kwin-dev (>= 4:5.27.8~),
                libkf5declarative-dev (>= 5.102.0~),
                libkf5i18n-dev (>= 5.102.0~),
                libkf5kcmutils-dev (>= 5.26~),
@@ -21,14 +22,14 @@
                modemmanager-qt-dev (>= 5.102.0~),
                pkg-config,
                pkg-kde-tools,
-               plasma-workspace-dev,
-               qml-module-org-kde-pipewire (>= 5.26~),
+               plasma-workspace-dev (>= 4:5.27.8~),
+               qml-module-org-kde-pipewire (>= 5.27.8~),
                qtbase5-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.2~),
 Standards-Version: 4.6.2
 Homepage: https://invent.kde.org/plasma/plasma-mobile
-Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/plasma-mobile
-Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/plasma-mobile.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-mobile
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-mobile
 Rules-Requires-Root: no
 
 Package: plasma-mobile

## plasma-mobile 5.27.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(plasma-mobile)
-set(PROJECT_VERSION "5.27.6")
+set(PROJECT_VERSION "5.27.11")
 set(PROJECT_VERSION_MAJOR 5)
 
 set(QT_MIN_VERSION "5.15.2")

=== components/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2021 Devin Lin <devin@kde.org>
# SPDX-FileCopyrightText: 2017-2021 Marco Martin <mart@kde.org>
# SPDX-License-Identifier: GPL-2.0-or-later

add_subdirectory(mmplugin)
add_subdirectory(mobileshell)
add_subdirectory(mobileshellstate)

=== kcms/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Devin Lin <devin@kde.org>
# SPDX-License-Identifier: GPL-2.0-or-later

add_subdirectory(mobileshell)

=== containments/panel/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2017 Marco Martin <mart@kde.org>
# SPDX-FileCopyrightText: 2021 Aleix Pol <apol@kde.org>
# SPDX-FileCopyrightText: 2020-2021 Nicolas Fella <nicolas.fella@kde.org>
# SPDX-License-Identifier: GPL-2.0-or-later

set(phonepanel_SRCS
    phonepanel.cpp
)

add_library(plasma_applet_phonepanel MODULE ${phonepanel_SRCS})

target_link_libraries(plasma_applet_phonepanel
                      Qt::Gui
                      Qt::DBus
                      KF5::Plasma
                      KF5::I18n
                      KF5::Service
                     )

install(TARGETS plasma_applet_phonepanel DESTINATION ${KDE_INSTALL_PLUGINDIR}/plasma/applets)
#install(FILES plasma-phonepanel-default.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})

plasma_install_package(package org.kde.phone.panel)

=== quicksettings/powermenu/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Devin Lin <devin@kde.org>
# SPDX-License-Identifier: GPL-2.0-or-later

set(powermenuplugin_SRCS
    powermenuplugin.cpp
    powermenuutil.cpp
)

add_library(powermenuplugin ${powermenuplugin_SRCS})

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS 
    Config
    Declarative
)

find_package(LibKWorkspace)

target_link_libraries(powermenuplugin
        PUBLIC
            Qt::Core
        PRIVATE
            KF5::CoreAddons
            KF5::QuickAddons
            PW::KWorkspace
    )
    
set_property(TARGET powermenuplugin PROPERTY LIBRARY_OUTPUT_DIRECTORY ${CMAKE_RUNTIME_OUTPUT_DIRECTORY}/org/kde/plasma/quicksetting/powermenu)
file(COPY qmldir DESTINATION ${CMAKE_RUNTIME_OUTPUT_DIRECTORY}/org/kde/plasma/quicksetting/powermenu)

install(TARGETS powermenuplugin DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/plasma/quicksetting/powermenu)
install(FILES qmldir ${qml_SRC} DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/plasma/quicksetting/powermenu)

plasma_install_package(package org.kde.plasma.quicksetting.powermenu quicksettings)

=== quicksettings/record/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Devin Lin <devin@kde.org>
# SPDX-License-Identifier: GPL-2.0-or-later

set(recordplugin_SRCS
    recordplugin.cpp
    recordutil.cpp
)

add_library(recordplugin ${recordplugin_SRCS})

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS 
    Declarative
    Notifications
)

target_link_libraries(recordplugin
    PUBLIC
        Qt::Core
    PRIVATE
        Qt::DBus
        KF5::CoreAddons
        KF5::QuickAddons
        KF5::ConfigCore
        KF5::ConfigGui
        KF5::I18n
        KF5::Notifications
)

set_property(TARGET recordplugin PROPERTY LIBRARY_OUTPUT_DIRECTORY ${CMAKE_RUNTIME_OUTPUT_DIRECTORY}/org/kde/plasma/quicksetting/record)
file(COPY qmldir DESTINATION ${CMAKE_RUNTIME_OUTPUT_DIRECTORY}/org/kde/plasma/quicksetting/record)

install(TARGETS recordplugin DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/plasma/quicksetting/record)
install(FILES qmldir ${qml_SRC} DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/plasma/quicksetting/record)

plasma_install_package(package org.kde.plasma.quicksetting.record quicksettings)

=== quicksettings/screenrotation/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Devin Lin <devin@kde.org>
# SPDX-License-Identifier: GPL-2.0-or-later

qt_add_dbus_interfaces(DBUS_SRCS dbus/org.kde.KScreen.xml)

set(screenrotationplugin_SRCS
    screenrotationplugin.cpp
    screenrotationutil.cpp
    ${DBUS_SRCS}
)

add_library(screenrotationplugin ${screenrotationplugin_SRCS})

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS 
    Declarative
)

target_link_libraries(screenrotationplugin
    PUBLIC
        Qt::Core
    PRIVATE
        Qt::DBus
        KF5::CoreAddons
        KF5::QuickAddons
        KF5::ConfigCore
        KF5::ConfigGui
        KF5::I18n
        KF5::Notifications
)

set_property(TARGET screenrotationplugin PROPERTY LIBRARY_OUTPUT_DIRECTORY ${CMAKE_RUNTIME_OUTPUT_DIRECTORY}/org/kde/plasma/quicksetting/screenrotation)
file(COPY qmldir DESTINATION ${CMAKE_RUNTIME_OUTPUT_DIRECTORY}/org/kde/plasma/quicksetting/screenrotation)

install(TARGETS screenrotationplugin DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/plasma/quicksetting/screenrotation)
install(FILES qmldir ${qml_SRC} DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/plasma/quicksetting/screenrotation)

plasma_install_package(package org.kde.plasma.quicksetting.screenrotation quicksettings)

=== debian/changelog ===
plasma-mobile (5.27.11-0ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:11:34 +1100

plasma-mobile (5.27.11-0ubuntu1) noble; urgency=medium

  [ Scarlett Moore ]
  * New upstream release (5.27.11)

  [ José Manuel Santamaría Lema ]
  * Replace obsolete pkg-config build depend with pkgconf

 -- Scarlett Moore <sgmoore@debian.org>  Sun, 17 Mar 2024 07:24:09 +0000

plasma-mobile (5.27.10-1ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 06:27:00 +0000

plasma-mobile (5.27.10-1ubuntu1) noble; urgency=low

  [ Ubuntu Merge-o-Matic ]
  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer field.
    - Bump plasma build dep versions all to 5.27.10.

  [ Scarlett Moore ]
  * Release to archive.

 -- Scarlett Moore <sgmoore@debian.org>  Wed, 21 Feb 2024 04:11:17 -0700

plasma-mobile (5.27.10-1) unstable; urgency=medium

  * New upstream release (Closes: #1060264)

 -- Marco Mattiolo <marco.mattiolo@hotmail.it>  Tue, 09 Jan 2024 21:16:34 +0100

plasma-mobile (5.27.10-0ubuntu1) noble; urgency=medium

  * New upstream release (5.27.10)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 11 Dec 2023 11:22:38 +0000

plasma-mobile (5.27.9-1) unstable; urgency=medium

  * New upstream release
  * Update d/copyright after upstream changes
  * Drop open-source from short description in d/control (Closes: #1052401)
  * Assign flashes' control to users in the plugdev group

 -- Marco Mattiolo <marco.mattiolo@hotmail.it>  Sat, 28 Oct 2023 23:28:10 +0200

plasma-mobile (5.27.9-0ubuntu1) noble; urgency=medium

  * New upstream release (5.27.9)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:19:52 +0100

plasma-mobile (5.27.8-1) unstable; urgency=medium

  * New upstream release
  * Update d/copyright after upstream changes
  * Use same d/upstream/signing-key.asc as other Plasma mobile packages

 -- Marco Mattiolo <marco.mattiolo@hotmail.it>  Thu, 14 Sep 2023 19:31:22 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.102.0~),
                kirigami-addons-dev (>= 0.6~),
-               kwin-dev (>= 4:5.27.8~),
+               kwin-dev (>= 4:5.27.11~),
                libkf5declarative-dev (>= 5.102.0~),
                libkf5i18n-dev (>= 5.102.0~),
                libkf5kcmutils-dev (>= 5.26~),
@@ -20,10 +20,10 @@
                libkf5service-dev (>= 5.102.0~),
                libkf5wayland-dev (>= 4:5.102.0~),
                modemmanager-qt-dev (>= 5.102.0~),
-               pkg-config,
                pkg-kde-tools,
-               plasma-workspace-dev (>= 4:5.27.8~),
-               qml-module-org-kde-pipewire (>= 5.27.8~),
+               pkgconf,
+               plasma-workspace-dev (>= 4:5.27.11~),
+               qml-module-org-kde-pipewire (>= 5.27.11~),
                qtbase5-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.2~),
 Standards-Version: 4.6.2

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --with kf5,pkgkde_symbolshelper,sodeps --buildsystem kf5 --without build_stamp

override_dh_installsystemd:
	dh_installsystemd --no-start --no-enable --no-restart-on-upgrade --no-restart-after-upgrade
